<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../../general.ent">
  %general-entities;

  <!ENTITY libburn-download-http
           "https://files.libburnia-project.org/releases/libburn-&libburn-version;.tar.gz">
  <!ENTITY libburn-download-ftp  " ">
  <!ENTITY libburn-md5sum        "cf9852f3b71dbc2b6c9e76f6eb0474f0">
  <!ENTITY libburn-size          "972 KB">
  <!ENTITY libburn-buildsize     "17 MB">
  <!ENTITY libburn-time          "0.1 SBU">
]>

<sect1 id="libburn" xreflabel="libburn-&libburn-version;">
  <?dbhtml filename="libburn.html"?>


  <title>libburn-&libburn-version;</title>

  <indexterm zone="libburn">
    <primary sortas="a-libburn">libburn</primary>
  </indexterm>

  <sect2 role="package">
    <title>Introduction to libburn</title>

    <para>
      <application>libburn</application> is a library for writing preformatted
      data onto optical media: CD, DVD and BD (Blu-Ray).
    </para>

    &lfs122_checked;

    <bridgehead renderas="sect3">Package Information</bridgehead>
    <itemizedlist spacing="compact">
      <listitem>
        <para>
          Download (HTTP): <ulink url="&libburn-download-http;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download (FTP): <ulink url="&libburn-download-ftp;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download MD5 sum: &libburn-md5sum;
        </para>
      </listitem>
      <listitem>
        <para>
          Download size: &libburn-size;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated disk space required: &libburn-buildsize;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated build time: &libburn-time;
        </para>
      </listitem>
    </itemizedlist>

    <bridgehead renderas="sect3">libburn Dependencies</bridgehead>

    <bridgehead renderas="sect4">Optional</bridgehead>
    <para role="optional">
      <xref linkend="doxygen"/> (to generate HTML documentation)
    </para>

  </sect2>

  <sect2 role="installation">
    <title>Installation of libburn</title>

    <para>
      Install <application>libburn</application> by running the
      following commands:
    </para>

<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
make</userinput></screen>

    <para>
      If you have installed <application>Doxygen</application> and wish to
      generate the HTML documentation, issue the following command:
    </para>

<screen remap="doc"><userinput>doxygen doc/doxygen.conf</userinput></screen>

    <para>
      This package does not come with a test suite.
    </para>

    <para>
      Now, as the <systemitem class="username">root</systemitem> user:
    </para>

<screen role="root"><userinput>make install</userinput></screen>

    <para>
      If you have built the HTML documentation, install it by running the
      following commands as the
      <systemitem class="username">root</systemitem> user:
    </para>

<screen role="root" remap="doc"><userinput>install -v -dm755 /usr/share/doc/libburn-&libburn-version; &amp;&amp;
install -v -m644 doc/html/* /usr/share/doc/libburn-&libburn-version;</userinput></screen>

  </sect2>

  <sect2 role="content">
    <title>Contents</title>

    <segmentedlist>
      <segtitle>Installed Program</segtitle>
      <segtitle>Installed Library</segtitle>
      <segtitle>Installed Directory</segtitle>

      <seglistitem>
        <seg>
          cdrskin
        </seg>
        <seg>
          libburn.so
        </seg>
        <seg>
          /usr/include/libburn
        </seg>
      </seglistitem>
    </segmentedlist>

    <variablelist>
      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
      <?dbfo list-presentation="list"?>
      <?dbhtml list-presentation="table"?>

      <varlistentry id="cdrskin">
        <term><command>cdrskin</command></term>
        <listitem>
          <para>
            burns preformatted data to CD, DVD, and BD via
            <application>libburn</application>
          </para>
          <indexterm zone="libburn cdrskin">
            <primary sortas="b-cdrskin">cdrskin</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="libburn-lib">
        <term><filename class="libraryfile">libburn.so</filename></term>
        <listitem>
          <para>
            contains the <application>libburn</application> API functions
          </para>
          <indexterm zone="libburn libburn-lib">
            <primary sortas="c-libburn">libburn.so</primary>
          </indexterm>
        </listitem>
      </varlistentry>

    </variablelist>

  </sect2>

</sect1>
